
%global meadversion 1.3.9
%global namedversion 1.3.9.Final-redhat-1
%global meadalpha .Final_redhat_1
%global meadrel .1
%global serial 1
%global namedversionrel redhat-1

%bcond_with repolib
%bcond_with demo
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}mod_cluster}
%{!?scl:%global pkg_name %{name}}

%if %with repolib
%define repodir %{_javadir}/repository.jboss.com/org/jboss/native/mod-cluster/%{namedversion}-brew
%define repodirlib %{repodir}/lib
%define repodirsrc %{repodir}/src
%endif

%define jarname mod-cluster

%define maven_version 1.3.9.Final-redhat-1

Name:		%{?scl_prefix}mod_cluster
Summary: 	JBoss mod_cluster for Apache httpd
Version: 	%{meadversion}
Release: 	%{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:		0
License: 	LGPLv3
Group: 		Applications/System

%if %with mead
Source100: mod_cluster-parent-1.3.9.Final-redhat-1-scm-sources.zip
Source102: mod_cluster-container-catalina-standalone-1.3.9.Final-redhat-1.pom
Source103: mod_cluster-container-catalina-standalone-1.3.9.Final-redhat-1-sources.jar
Source104: mod_cluster-container-catalina-standalone-1.3.9.Final-redhat-1.jar
Source105: mod_cluster-container-tomcat8-1.3.9.Final-redhat-1.pom
Source106: mod_cluster-container-tomcat8-1.3.9.Final-redhat-1.jar
Source107: mod_cluster-container-tomcat8-1.3.9.Final-redhat-1-sources.jar
Source108: mod_cluster-core-1.3.9.Final-redhat-1-sources.jar
Source109: mod_cluster-core-1.3.9.Final-redhat-1.pom
Source110: mod_cluster-core-1.3.9.Final-redhat-1.jar
Source111: mod_cluster-container-catalina-1.3.9.Final-redhat-1-sources.jar
Source112: mod_cluster-container-catalina-1.3.9.Final-redhat-1-tests.jar
Source113: mod_cluster-container-catalina-1.3.9.Final-redhat-1.pom
Source114: mod_cluster-container-catalina-1.3.9.Final-redhat-1.jar
Source115: mod_cluster-container-1.3.9.Final-redhat-1.pom
Source116: mod_cluster-parent-1.3.9.Final-redhat-1-project-sources.tar.gz
Source117: mod_cluster-parent-1.3.9.Final-redhat-1.pom
Source118: mod_cluster-container-spi-1.3.9.Final-redhat-1-sources.jar
Source119: mod_cluster-container-spi-1.3.9.Final-redhat-1.jar
Source120: mod_cluster-container-spi-1.3.9.Final-redhat-1.pom
Source121: mod_cluster-container-tomcat7-1.3.9.Final-redhat-1-sources.jar
Source122: mod_cluster-container-tomcat7-1.3.9.Final-redhat-1.jar
Source123: mod_cluster-container-tomcat7-1.3.9.Final-redhat-1.pom
%endif

URL:		http://www.jboss.org/

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root


%if !0%{?scl:1}
Obsoletes: %{name}-jbossas < %{epoch}:%{version}
Provides:  %{name}-jbossas = %{epoch}:%{version}-%{release}
Obsoletes: %{name}-demo < 0:1.3.1-7
%endif

%description
JBoss mod_cluster for Apache httpd

%if %with demo
%package demo
Summary:        Sample app for %{name}
Group:          Development/Frameworks


%description demo
Load balancing demo application
%endif

%if !0%{?scl:1}
%package tomcat7
Summary:        Support for %{name} in Tomcat7
Group:          Development/Libraries/Application Frameworks

Requires:       tomcat7 >= 0:7.0.57
Requires:       %{name} >= %{epoch}:%{version}-%{release}
Requires:	jboss-logging >= 0:3.0.1

%description tomcat7
Links needed for tomcat7

%package tomcat8
Summary:        Support for %{name} in Tomcat8
Group:          Development/Libraries/Application Frameworks

Requires:       tomcat8 >= 0:8.0.15
Requires:       %{name} >= %{epoch}:%{version}-%{release}
Requires:	jboss-logging >= 0:3.0.1

%description tomcat8
Links needed for tomcat8

%package src-zip
Summary:        Container for the sources of %{name}
Group:          Development


%description src-zip
Container for the sources of %{name}
%endif

%if %with repolib
%package repolib
Summary:        Artifacts to be uploaded to a repository library
Group:          Development/Libraries/Java


%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%prep
%setup -q -n mod_cluster -T -b 100

%build

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
pushd %{_sourcedir}
%if !0%{?scl:1}
for i in `ls *-%{namedversion}.*ar *-%{namedversion}-sources.jar`; do 
%else
for i in `ls *-%{namedversion}.*ar *-%{namedversion}-sources.jar|grep -v tomcat|grep -v catalina`; do 
%endif
    cp -p $i $RPM_BUILD_ROOT%{_javadir}/
done
popd
(cd $RPM_BUILD_ROOT%{_javadir} && for i in *-%{namedversion}*ar; do ln -s $i `echo $i| sed "s/-%{namedversion}//g"`; done)

%if %with demo
# demo
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
rm -f target/demo/client/lib/jcommon.jar target/demo/client/lib/jfreechart.jar
build-jar-repository -s -p target/demo/client/lib \
jcommon \
jfreechart
rm -Rf target/demo/classes
(cd target/demo/server
mkdir load-demo.war.dir
pushd load-demo.war.dir
jar xf ../load-demo.war 
pushd WEB-INF/lib/
rm commons-codec.jar commons-httpclient.jar
ln -s $(build-classpath commons-codec)
ln -s $(build-classpath commons-httpclient)
popd
popd
rm load-demo.war
mv load-demo.war.dir load-demo.war)
cp -pR target/demo $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
%endif

# repolib
%if %with repolib
	tag=`echo %{version}-brew`
	sed -i "s/@VERSION@/$tag/g" %{SOURCE2}
	tag=`echo %{name}-%{version}-%{release} | sed 's|\.|_|g'`
	sed -i "s/@TAG@/$tag/g" %{SOURCE2}
        install -d -m 755 $RPM_BUILD_ROOT%{repodir}
        install -d -m 755 $RPM_BUILD_ROOT%{repodirlib}
        install -m 755 %{SOURCE2} $RPM_BUILD_ROOT%{repodir}/component-info.xml
        install -d -m 755 $RPM_BUILD_ROOT%{repodirsrc}
        install -m 755 %{SOURCE0} $RPM_BUILD_ROOT%{repodirsrc}
        install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{repodirsrc}
        cp -p pom.xml $RPM_BUILD_ROOT%{repodirlib}/%{jarname}.pom
        cp -p $RPM_BUILD_ROOT%{_javadir}/%{jarname}.jar $RPM_BUILD_ROOT%{repodirlib}
        cp -p $RPM_BUILD_ROOT%{_javadir}/%{jarname}-sources.jar $RPM_BUILD_ROOT%{repodirlib}
        install -m 755 %{SOURCE3} $RPM_BUILD_ROOT%{repodir}/upload.sh
        pushd $RPM_BUILD_ROOT%{repodir}
        ./upload.sh $RPM_BUILD_ROOT/usr/share/java/repository.jboss.com/maven2-brew/
        popd
%endif

%if !0%{?scl:1}
#for links needed in tomcat8/7
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/tomcat{7,8}/lib
pushd $RPM_BUILD_ROOT%{_datadir}/tomcat8/lib
ln -s %{_javadir}/jboss-logging.jar .
ln -s %{_javadir}/mod_cluster-core.jar .
ln -s %{_javadir}/mod_cluster-container-catalina.jar .
ln -s %{_javadir}/mod_cluster-container-catalina-standalone.jar .
ln -s %{_javadir}/mod_cluster-container-tomcat8.jar .
ln -s %{_javadir}/mod_cluster-container-spi.jar .
popd
pushd $RPM_BUILD_ROOT%{_datadir}/tomcat7/lib
ln -s %{_javadir}/jboss-logging.jar .
ln -s %{_javadir}/mod_cluster-core.jar .
ln -s %{_javadir}/mod_cluster-container-catalina.jar .
ln -s %{_javadir}/mod_cluster-container-catalina-standalone.jar .
ln -s %{_javadir}/mod_cluster-container-tomcat7.jar .
ln -s %{_javadir}/mod_cluster-container-spi.jar .
popd

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/jbossas-fordev/
cp -p %{_sourcedir}/mod_cluster-parent-%{namedversion}-scm-sources.zip $RPM_BUILD_ROOT%{_javadir}/jbossas-fordev/%{name}-%{namedversion}-src.zip
#cp -p %{_sourcedir}/org.jboss.mod_cluster-mod_cluster-parent-%{namedversion}-patches.zip $RPM_BUILD_ROOT%{_javadir}/jbossas-fordev/%{name}-%{namedversion}-patches.zip
%endif

%clean
rm -Rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
#%%doc JBossORG-EULA.txt lgpl.txt
%doc README.md
%{_javadir}*/*jar
%if %with demo
%exclude %{_javadir}*/*demo*ar
%endif

%if %with demo
%files demo
%defattr(0644,root,root,0755)
%{_javadir}*/*demo*ar
%{_datadir}/maven2/poms/*demo*
%endif

%if !0%{?scl:1}
%files tomcat8
%defattr(0644,root,root,0755)
%{_datadir}/tomcat8/lib/*

%files tomcat7
%defattr(0644,root,root,0755)
%{_datadir}/tomcat7/lib/*

%files src-zip
%defattr(0644,root,root,0755)
%{_javadir}*/jbossas-fordev/%{name}-%{namedversion}-src.zip
%endif

%if %with repolib
%files repolib
%defattr(0644,root,root,0755)
%{_javadir}*/repository.jboss.com
%endif

%changelog
* Wed Mar 21 2018 Aurel Pintea <apintea@redhat.com> - 1.3.9-1.Final_redhat_1.1
- upgrade to 1.3.9.Final-redhat-1

* Thu Jun 29 2017 Petr Sakar <psakar@redhat.com> - 1.3.7-1.Final_redhat_1.1
- upgrade to 1.3.7.Final-redhat-1

* Mon Apr 03 2017 Petr Sakar <psakar@redhat.com> - 1.3.6-3.Final_redhat_1.1
- upgrade to 1.3.6.Final-redhat-1

* Fri Feb 24 2017 Martin Minar <mminar@redhat.com> - 1.3.6-2.CR2_redhat_1.1
- upgrade to 1.3.6.CR2-redhat-1 

* Thu Feb 09 2017 Petr Sakar <psakar@redhat.com> - 1.3.6-1.CR1_redhat_1.1
- upgrade to 1.3.6.CR1-redhat-1

* Mon Jul 25 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.3.3-1.Final_redhat_1.1
- Upgrade to 1.3.3.Final

* Thu Mar 17 2016 Fernando Nasser <fnasser@redhat.com> - 1.3.2-1.Final_redhat_1.1
- Adjust license files to match upstream

* Thu Mar 17 2016 Fernando Nasser <fnasser@redhat.com> - 1.3.2-1.Final_redhat_1.1
- Adjust license files to match upstream

* Wed Mar 16 2016 Petr Sakar <psakar@redhat.com> - 1.3.2-1.Final_redhat_1.1
- Upgrade to 1.3.2.Final-redhat-1

* Tue Aug 11 2015 Permaine Cheung <pcheung@redhat.com> - 1.3.1-10.Final_redhat_3.1
- Do not package catalina jars for EAP 7

* Tue Aug 11 2015 Permaine Cheung <pcheung@redhat.com> - 1.3.1-9.Final_redhat_3.1
- EAP 7 build
- Add SCL macros and only package JWS subpackages for JWS builds

* Wed May 20 2015 Permaine Cheung <pcheung@redhat.com> - 1.3.1-8.Final_redhat_3.1
- Fix version in Obsoletes

* Wed May 20 2015 Permaine Cheung <pcheung@redhat.com> - 1.3.1-7.Final_redhat_3.1
- Obsoletes demo subpackage

* Tue May 19 2015 Permaine Cheung <pcheung@redhat.com> - 1.3.1-7.Final_redhat_3.1
- Remove AS7 profile for JWS 3 builds
- Obsoletes demo subpackage

* Fri Apr 10 2015 Permaine Cheung <pcheung@redhat.com> - 1.3.1-5.Final_redhat_2.1
- 1.3.1.Final-redhat-2

* Fri Apr 10 2015 Permaine Cheung <pcheung@redhat.com> - 1.3.1-4.Final_redhat_1.1
- 1.3.1.Final-redhat-1

* Mon Jan 26 2015 Permaine Cheung <pcheung@redhat.com> - 1.3.1-3.Beta2_redhat_1.1
- 1.3.1.Beta2-redhat-1

* Mon Dec 08 2014 Permaine Cheung <pcheung@redhat.com> - 1.3.1-2.Beta1_redhat_3.1
- Add catalina-standalone to tomcat profiles

* Mon Dec 08 2014 Permaine Cheung <pcheung@redhat.com> - 1.3.1-2.Beta1_redhat_2.1
- Add catalina-standalone to tomcat profiles

* Mon Dec 08 2014 Permaine Cheung <pcheung@redhat.com> - 1.3.1-2.Beta1_redhat_2.1
- Add catalina-standalone to tomcat profiles

* Fri Dec 05 2014 Permaine Cheung <pcheung@redhat.com> - 1.3.1-1.Beta1_redhat_1.1
- 1.3.1.Beta1-redhat-1

* Thu Dec 04 2014 Permaine Cheung <pcheung@redhat.com> - 1.3.1-1.Beta1_redhat_1.1
- 1.3.1.Beta1-redhat-1

* Thu Dec 04 2014 Permaine Cheung <pcheung@redhat.com> - 1.3.1-1.Beta1.2
- 1.3.1.Beta1-redhat-1

* Thu Dec 04 2014 Permaine Cheung <pcheung@redhat.com> - 1.3.1-1.Beta1.1
- 1.3.1.Beta1-redhat-1

* Wed Dec 03 2014 Permaine Cheung <pcheung@redhat.com> - 1.3.1-1.Beta1_redhat_1.1
- 1.3.1.Beta1-redhat-1

* Thu Nov 20 2014 Permaine Cheung <pcheung@redhat.com> - 1.2.10-1.Final_redhat_1.1
- 1.2.10.Final-redhat-1

* Thu May 29 2014 Permaine Cheung <pcheung@redhat.com> - 1.2.9-1.Final_redhat_1.1
- 1.2.9.Final

* Fri Mar 21 2014 Permaine Cheung <pcheung@redhat.com> - 1.2.8-1.Final_redhat_1.1
- 1.2.8.Final

* Wed Jan 15 2014 Permaine Cheung <pcheung@redhat.com> - 1.2.7-1.Final_redhat_1.1
- Upgrade to 1.2.7.Final

* Wed Jan 15 2014 Permaine Cheung <pcheung@redhat.com> - 1.2.7-1.Final_redhat_1.1
- Upgrade to 1.2.7.Final

* Wed Jan 15 2014 Permaine Cheung <pcheung@redhat.com> - 1.2.7-1.Final_redhat_1.1
- Upgrade to 1.2.7.Final

* Fri Nov 08 2013 Permaine Cheung <pcheung@redhat.com> - 1.2.6-2.Final_redhat_1.1
- Rewrap to include sources.jar

* Fri Sep 20 2013 Permaine Cheung <pcheung@redhat.com> - 1.2.6-1.Final_redhat_1.1
- Upgrade to 1.2.6.Final


* Thu Apr 25 2013 Permaine Cheung <pcheung@redhat.com> - 0:1.2.4-1.Final_redhat_1
- 1.2.4.Final, update vman pom

* Thu Oct 18 2012 Permaine Cheung <pcheung@redhat.com> - 0:1.2.3-1.Final_redhat_1
- 1.2.3.Final, remove patches as they are all incorporated in the tag

* Fri Oct 12 2012 Permaine Cheung <pcheung@redhat.com> - 0:1.2.2-5.Final_redhat_3
- Add patch for JBPAPP-10168, redhat-3 build

* Fri Oct 05 2012 Permaine Cheung <pcheung@redhat.com> - 0:1.2.2-4.Final_redhat_2
- Add patch for JBPAPP-9788, redhat-2 build

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.2.2-3.Final_redhat_1
- Rebuild for MD5

* Mon Sep 17 2012 Permaine Cheung <pcheung@redhat.com> - 0:1.2.2-2.Final_redhat_1
- Obsoletes and Provides for the -jbossas subpackage in main package

* Thu Sep 13 2012 Permaine Cheung <pcheung@redhat.com> - 0:1.2.2-1.2.Final_redhat_1
- Include patches zip from MEAD for src-zip subpackage

* Thu Sep 13 2012 Permaine Cheung <pcheung@redhat.com> - 0:1.2.2-1.1.Final_redhat_1
- Include source zip from MEAD for src-zip subpackage

* Tue Sep 11 2012 Permaine Cheung <pcheung@redhat.com> - 0:1.2.2-1.Final_redhat_1
- 1.2.2.Final-redhat-1

* Thu Aug 30 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.2.1-11.Final_redhat_2.2
- Add jbossweb 2.1.11.GA to local dependency management

* Wed Aug 29 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.2.1-11.Final_redhat_2.1
- Remove dependency management, use eap bom
- Update poms for eap 6.0.1 boms and parent pom

* Thu Aug 16 2012 Permaine Cheung <pcheung@redhat.com> - 0:1.2.1-10.Final_redhat_2
- Fix Release: tag

* Tue Aug 14 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.2.1-10.Final.4
- Rebuild unsigned

* Thu Aug 09 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.2.1-10.Final.3
- Rebuild unsigned

* Tue Jul 17 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.2.1-10.Final.2
- Rebuild using cache signing

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.2.1-10.Final.1
- Rebuild using cache signing

* Wed Jul 04 2012 Permaine Cheung <pcheung@redhat.com> - 0:1.2.1-10.Final
- Fix links in -tomcat subpackages

* Wed Jul 04 2012 Permaine Cheung <pcheung@redhat.com> - 0:1.2.1-9.Final
- Fix files in -tomcat subpackages to avoid conflicting with tomcat

* Tue Jul 03 2012 Permaine Cheung <pcheung@redhat.com> - 0:1.2.1-8.Final
- Fix links in -tomcat subpackages

* Wed May 09 2012 Permaine Cheung <pcheung@redhat.com> - 0:1.2.1-7.Final
- 1.2.1.Final

* Wed May 02 2012 Permaine Cheung <pcheung@redhat.com> - 0:1.2.1-5.Beta2
- Fix -tomcat6,7 subpackages

* Wed May 02 2012 Permaine Cheung <pcheung@redhat.com> - 0:1.2.1-5.Beta2
- Add -tomcat6,7 subpackages

* Mon Apr 30 2012 Permaine Cheung <pcheung@redhat.com> - 0:1.2.1-4.Beta2
- Build container-catalina-standalone

* Fri Apr 27 2012 Permaine Cheung <pcheung@redhat.com> - 0:1.2.1-3.Beta2
- Build with TC7 profile

* Fri Apr 27 2012 Permaine Cheung <pcheung@redhat.com> - 0:1.2.1-2.Beta2
- Build with TC6 profile

* Tue Apr 10 2012 Permaine Cheung <pcheung@redhat.com> - 0:1.2.1-1.Beta2.1
- 1.2.1.Beta2

* Wed Mar 28 2012 Permaine Cheung <pcheung@redhat.com> - 0:1.2.1-0.Beta1.2
- Fix install path

* Mon Mar 26 2012 Permaine Cheung <pcheung@redhat.com> - 0:1.2.1-0.Beta1.1
- 1.2.1.Beta1

* Wed Feb 29 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.2.0-6.Final.2
- Populate java-signed

* Mon Feb 13 2012 Permaine Cheung <pcheung@redhat.com> - 0:1.2.0-6.Final
- 1.2.0.Final

* Tue Feb 07 2012 Red Hat Release Engineering <release-engineering@redhat.com> - 0:1.2.0-5.Beta4.1
- Rebuild to use new signing key

* Tue Jan 31 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.2.0-4.Beta4.1
- Real wrapper build

* Tue Jan 31 2012 Permaine Cheung <pcheung@redhat.com> - 0:1.2.0-4.Beta4
- 1.2.0.Beta4

* Fri Jan 27 2012 Permaine Cheung <pcheung@redhat.com> - 0:1.2.0-3.Beta3
- Fix pom name and include demo war in demo subpackage

* Fri Jan 27 2012 Permaine Cheung <pcheung@redhat.com> - 0:1.2.0-2.Beta3
- Create wrapper

* Tue Jan 03 2012 Permaine Cheung <pcheung@redhat.com> - 0:1.2.0-1.Beta3
- 1.2.0.Beta3

* Fri Sep 23 2011 Permaine Cheung <pcheung@redhat.com> - 0:1.1.3-1.Final
- 1.1.3.Final

* Fri Jun 10 2011 Permaine Cheung <pcheung@redhat.com> - 0:1.0.10-2.2.GA_CP01
- Upgrade to 1.0.10.GA_CP01

* Mon May 02 2011 Permaine Cheung <pcheung@redhat.com> - 0:1.0.10-1.2
- Fix zip

* Mon Apr 18 2011 Permaine Cheung <pcheung@redhat.com> - 0:1.0.10-1.1
- Upgrade to 1.0.10.GA

* Mon Apr 04 2011 Permaine Cheung <pcheung@redhat.com> - 0:1.0.9-1.2
- Default to use signed jars

* Fri Mar 18 2011 Permaine Cheung <pcheung@redhat.com> - 0:1.0.9-1.1
- Upgrade to 1.0.9.GA

* Thu Feb 17 2011 Permaine Cheung <pcheung@redhat.com> - 0:1.0.8-2.1
- Fix Release tag

* Wed Feb 16 2011 Permaine Cheung <pcheung@redhat.com> - 0:1.0.8-1.1
- Upgrade to 1.0.8.GA

* Fri Jan 07 2011 Permaine Cheung <pcheung@redhat.com> - 0:1.0.6-1.1
- Upgrade to 1.0.6.GA

* Wed Nov 24 2010 Permaine Cheung <pcheung@redhat.com> - 0:1.0.5-1.1
- Upgrade to 1.0.5.GA

* Tue Nov 23 2010 Permaine Cheung <pcheung@redhat.com> - 0:1.0.4-2.2
- Add pom, upload.sh and content of maven2-brew to repolib
- Fix %%files for signed jars
- Fix License tag
- Build with signed jars

* Fri Aug 20 2010 Permaine Cheung <pcheung@redhat.com> - 0:1.0.4-2.1
- Fix typo

* Wed Jul 28 2010 Permaine Cheung <pcheung@redhat.com> - 0:1.0.4-1.1
- Upgrade to 1.0.4.GA
- Remove patches that are already incorporated in the tag

* Fri Jun 18 2010 Permaine Cheung <pcheung@redhat.com> - 0:1.0.3-9.1
- Add -sources jar

* Thu May 27 2010 Permaine Cheung <pcheung@redhat.com> - 0:1.0.3-8
- Add patches to repolib

* Tue May 25 2010 Permaine Cheung <pcheung@redhat.com> - 0:1.0.3-7.1
- Split up mod_cluster into mod_cluster and mod_cluster-native

* Tue May 25 2010 Permaine Cheung <pcheung@redhat.com> - 0:1.0.3-6.1
- Add patch for JBPAPP-3936, 4046, 4307
- Adjust depmap

* Mon May 17 2010 Martha Benitez <mbenitez@redhat.com> - 0:1.0.3-3.3.1
- rebuilt

* Mon Apr 19 2010 Yiqiao Wang <yiwang@redhat.com> - 0:1.0.3-3.3
- Rebuild

* Thu Apr 01 2010 Permaine Cheung <pcheung@redhat.com> - 0:1.0.3-3.2
- Build with jars
- Revert the changes to work with httpd instead of httpd22

* Tue Feb 09 2010 Yiqiao Wang <yiwang@redhat.com> - 0:1.0.3-3.1
- Merge with RHEL-4

* Mon Jan 25 2010 Permaine Cheung <pcheung@redhat.com> - 0:1.0.3-2.1
- Rebuild

* Mon Jan 18 2010 Permaine Cheung <pcheung@redhat.com> - 0:1.0.3-1
- Upgrade to 1.0.3
- Merge with RHEL-4-EP-5 branch

* Fri Nov 06 2009 Permaine Cheung <pcheung@redhat.com> - 0:1.0.2-5.1
- Do not build jars as we don't have all the dependencies on RHEL 5

* Thu Nov 05 2009 Permaine Cheung <pcheung@redhat.com> - 0:1.0.2-5
- Fix location of zip

* Thu Nov 05 2009 Permaine Cheung <pcheung@redhat.com> - 0:1.0.2-4
- Fix Requires:

* Thu Nov 05 2009 Permaine Cheung <pcheung@redhat.com> - 0:1.0.2-3
- Build native .so for httpd and put them in the main package
- Rename the package that includes jars and sar for jbossas to -jbossas
- Add load-demo.war back in demo/server
- Add .so to zip
- Add src-zip

* Mon Nov 02 2009 Martha Benitez <mbenitez@redhat.com> - 0:1.0.2-2
- Add license and release notes to the main package
- Remove .dir extension from sar directory name
- Add mod_cluster.jar to sar directory
- Change sub-package names to jbossweb2 and tomcat6 to clarify versions
- Explode contents of load-demo.war inside server subdirectory in the demo sub-package

* Tue Sep 15 2009 Martha Benitez <mbenitez@redhat.com> - 0:1.0.2-1
- Brew build
- Relax version for httpd-devel
